[求助] 弹出use askusermessage() or asksyslogmessage()错误

2018-7-9 19:42:10 1699 2

  [复制链接]
zengbiao 发表于 2018-7-7 20:27:16 | 显示全部楼层 |阅读模式

zengbiao 楼主

2018-7-7 20:27:16

请使用QQ关联注册PLM之家,学习更多关于内容,更多精彩原创视频供你学习!

您需要 登录 才可以下载或查看,没有帐号?注册

x
做UI界面时弹出这个错误* ^8 ^6 y/ ^  K
int NX10_daoyuanjiao::apply_cb()& n) E4 c# K: H4 ?7 n1 }0 o
{  Z9 }' m% y, O$ @
    int errorCode = 0;' q0 ~( k# j2 I$ ~7 W
    try
/ H/ \+ [0 ]* }* b( t, W: Z$ O. @6 \8 ]    {
! J: ]7 R7 s. h1 ~# M/ p( a        //---- Enter your callback code here -----
2 A/ L: y6 ^7 N8 d5 Z9 j7 P                  UF_initialize();
+ `; F  }6 Y. e3 m) K" ~1 s7 T          NXOpen::BlockStyler:PropertyList* DirectionToExtrudeproplist = face_select0->GetProperties();
! z: W; p6 b# O) G          std::vector<NXOpen::TaggedObject *>objects = DirectionToExtrudeproplist->GetTaggedObjectVector("SelectedObjects");6 M- L+ O' d& a
                  delete DirectionToExtrudeproplist;1 m, I: n0 J1 o0 o: b, \! t% N; b. K
                  DirectionToExtrudeproplist= NULL;! H6 l. x! }9 |9 i# m
                  8 e! I. l4 Y( `1 N9 ~
              for ( int i=0;i<objects.size();i++) // size 列表长度,这里指的是 对象个数
5 ?( A5 {3 ?2 {. F  [8 T              {   5 r  J5 c1 R0 ^" L4 y
                                 UF_OBJ_set_color(objects->Tag(),1);//给选中的对象更改颜色7 W0 l+ F- ]% P* R% ^
              }) y8 |  ~8 p; f+ h& K
/ H* a9 _$ F/ l! K& P
      UF_terminate();' q9 X( R7 W9 U: [) t, a/ H
    }! n5 E( ~4 y2 ]( g$ D, H0 V5 l
    caTCh(exception& ex)% I: m7 F, e: Z; n! m9 @8 O
    {* p1 ^4 Q5 V3 Q% m0 S3 r+ v1 a6 s
        //---- Enter your exception handling code here -----$ A7 K$ B7 R1 X; F5 m( D
        errorCode = 1;
' k# P7 Z  b6 f& n/ Y9 r        NX10_daoyuanjiao::theUI->NXMessageBox()->Show("Block Styler", NXOpen::NXMessageBox:DialogTypeError, ex.what());
  o# R$ g" Z( R8 }    }
3 l/ j8 k) c  {2 ?. N3 R1 B+ C5 ?+ t& k    return errorCode;
* \( h# n5 ]3 s}
7 U: |( U7 z2 N+ d' v& }
$ x/ C+ R$ R1 U  ~最后调试的时候发现就是标红语句的问题,有大佬知道怎么解决吗
' Q7 @+ {+ e$ r5 q4 O
捕获.JPG
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复

使用道具 举报

admin 发表于 2018-7-9 16:44:26 | 显示全部楼层

admin 沙发

2018-7-9 16:44:26

face_select0->getselectedobjects() 呢。 如果还报错,检查NX开发和VS 匹配版本
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复 支持 反对

使用道具 举报

 楼主| zengbiao 发表于 2018-7-9 19:42:10 | 显示全部楼层

zengbiao 板凳

2018-7-9 19:42:10

admin 发表于 2018-7-9 16:44
) {  K" X: k- S* B$ p+ z% ]face_select0->getselectedobjects() 呢。 如果还报错,检查NX开发和VS 匹配版本

; G6 ^% ]2 I% s. E谢谢你指导,我解决了,应该是版本匹配的问题
上海点团信息科技有限公司,承接UG NX,CATIA,CREO,Solidworks 等CAx软件,Teamcenter,3D Experience等PLM软件,工业4.0数字化软件的实施\二次开发\培训相关业务,详情QQ 939801026 Tel 18301858168 网址 www.diantuankj.com/ doTeam.tech
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 注册

返回列表 本版积分规则

用户组 : 新手上路
邮   箱 :1963869478@qq.com
手   机 :未填写
Q   Q : 未填写
性别 : 就不告诉你
主页 :未填写
个人介绍 :未填写

主题1

帖子4

积分25

  • Discuz 3.3 邮箱验证

    Discuz 3.3 邮箱验证问题终极解决办法 163邮箱发

  • Aras 配置特殊的流水

    版本规则通过 item 的版本中进行配置, 流水码

  • Tecnomatix 二次开发

    Tecnomatix 二次开发入门教程 6 实现打开PLM之家

  • Tecnomatix 二次开发

    Tecnomatix 二次开发入门教程 3 第一个hello plm

  • NX二次开发--一个好用

    NX二次开发--一个好用的树列表调换次序功能-很赞

  • 发布新帖
  • 在线客服1
  • 在线客服2
  • 微信
  • 客户端
  • 返回顶部
  • NX讨论
    Catia
    TC讨论
    Tecno
    云课堂
    业务合作
    快速回复 返回顶部 返回列表